import { stringify } from 'flatted';
import { A as API_PATH } from './constants-adef7ffb.js';
import 'path';
import 'url';

function sendFlatted(res, data) {
  res.setHeader("Content-Type", "application/json");
  res.write(stringify(data));
  res.statusCode = 200;
  res.end();
}
function middlewareAPI() {
  return (req, res, next) => {
    var _a;
    if (!((_a = req.url) == null ? void 0 : _a.startsWith(API_PATH)))
      return next();
    const url = req.url.slice(API_PATH.length);
    const ctx = process.__vitest__;
    if (url === "/") {
      return sendFlatted(res, {
        files: ctx.state.filesMap
      });
    }
    if (url === "/files") {
      return sendFlatted(res, {
        files: Object.keys(ctx.state.filesMap)
      });
    }
    res.statusCode = 404;
    res.end();
  };
}

export { middlewareAPI as default, sendFlatted };
